<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hover Line Detection</title>
    <style>
        myTextarea {
            width: 300px;
            height: 200px;
            line-height: 1.5em; /* Set line height to calculate line number */
            font-family: monospace; /* Use monospace font to maintain uniform character width */
            overflow: auto;
        }
    </style>
</head>
<body>
    <textarea class="myTextarea">
This is line 1
This is line 2
This is line 3
This is line 4
This is line 5
This is line 6
    </textarea>

    <script>
        // hoverLineDetection.js

document.addEventListener('DOMContentLoaded', () => {
    // Use document.querySelector to select the first element with the class 'hoverTextarea'
    const textarea = document.querySelector('.myTextarea');

    if (textarea) {
        textarea.addEventListener('mousemove', (event) => {
            const lineHeight = parseFloat(getComputedStyle(textarea).lineHeight); // Get the line height
            const textareaTop = textarea.getBoundingClientRect().top; // Get textarea's top position relative to viewport
            const scrollTop = textarea.scrollTop; // Get the scroll top position of the textarea
            const y = event.clientY - textareaTop + scrollTop; // Calculate Y position inside textarea
            const lineNumber = Math.floor(y / lineHeight); // Calculate line number

            const lines = textarea.value.split('\n'); // Split the content into lines
            if (lines[lineNumber]) {
                console.log(`Hovered on line ${lineNumber + 1}: ${lines[lineNumber]}`);
            }
        });
    } else {
        console.error('Textarea element not found');
    }
});

    </script>
</body>
</html>
